Bug 14589 - Adjust authorities_merge_ajax and replace some indirect syntax
Summary: Adjust authorities_merge_ajax and replace some indirect syntax
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-22 12:42 UTC by Marcel de Rooy
Modified: 2016-06-21 21:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14589: Replace fetch CGI::Cookie calls (7.05 KB, patch)
2015-07-22 12:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14589: Replace fetch CGI::Cookie calls (6.97 KB, patch)
2015-08-12 09:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14589: Replace fetch CGI::Cookie calls (6.96 KB, patch)
2015-08-19 14:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14589: Adjust authorities_merge_ajax and replace some indirect syntax (7.08 KB, patch)
2015-08-20 06:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14589: Replace fetch CGI::Cookie calls (5.62 KB, patch)
2015-08-25 07:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14589: Adjust authorities_merge_ajax and replace some indirect syntax (5.73 KB, patch)
2015-08-25 07:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14589: Adjust authorities_merge_ajax and replace some indirect syntax (5.83 KB, patch)
2015-10-29 18:23 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14589: Adjust authorities_merge_ajax and replace some indirect syntax (5.97 KB, patch)
2015-10-30 09:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2015-07-22 12:42:40 UTC

    
Comment 1 Marcel de Rooy 2015-07-22 12:54:37 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-08-12 09:07:22 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2015-08-12 09:08:44 UTC
Rebased on top of 6874.
I need this (trivial) patch for 14321.
Please add your (easy) signoff..
Comment 4 Marcel de Rooy 2015-08-19 14:20:02 UTC Comment hidden (obsolete)
Comment 5 M. Tompsett 2015-08-19 18:59:31 UTC
Comment on attachment 41675 [details] [review]
Bug 14589: Replace fetch CGI::Cookie calls

Review of attachment 41675 [details] [review]:
-----------------------------------------------------------------

There is scope creep as noted below. It would make more sense to have a "Replace 'new CGI' calls" bug separately, as this occurs in more than just these places.

::: tools/background-job-progress.pl
@@ +30,4 @@
>  use CGI::Cookie; # need to check cookies before
>                   # having CGI parse the POST request
>  
> +my $input = CGI->new;

Scope creep.

@@ +51,4 @@
>      $job_status = $job->status();
>  }
>  
> +my $reply = CGI->new;

Scope creep.

::: tools/upload-file-progress.pl
@@ +47,4 @@
>      }
>  }
>  
> +my $reply = CGI->new;

Scope creep.
Comment 6 Marcel de Rooy 2015-08-20 06:53:57 UTC
(In reply to M. Tompsett from comment #5)
> There is scope creep as noted below. It would make more sense to have a
> "Replace 'new CGI' calls" bug separately, as this occurs in more than just
> these places.

I would not really mind, but most important for me now is to get bug 14321 rolling. And this is a dependency..
What about a title change :) ?
Comment 7 Marcel de Rooy 2015-08-20 06:59:09 UTC Comment hidden (obsolete)
Comment 8 Marcel de Rooy 2015-08-25 07:07:39 UTC Comment hidden (obsolete)
Comment 9 Marcel de Rooy 2015-08-25 07:10:26 UTC Comment hidden (obsolete)
Comment 10 Bernardo Gonzalez Kriegel 2015-10-29 18:23:47 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2015-10-30 09:00:07 UTC
Created attachment 44187 [details] [review]
Bug 14589: Adjust authorities_merge_ajax and replace some indirect syntax

This patch does the following:
[1] Adjust authorities_merge_ajax just as in bug 14588.
[2] Replace some indirect syntax for fetch GGI::Cookie.
[3] Along the way replace some new CGI's. Note that I am not aiming to
    replace them Koha wide. The "fetch class" variant is less readable.

NOTE: The changes to tools/upload-file.pl and upload-file-progress.pl
are moved to report 14321.

Test plan:
[1] Run the URL authorities/merge_ajax.pl in staff.
[2] Upload a file with Stage MARC records for import.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
[1] It runs, but also before patch
[2] File uploads without problem
No errors

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
We could certainly remove 1 or 2 call to CGI->new in tools/background-job-progress.pl
Comment 12 Tomás Cohen Arazi 2015-11-02 16:04:31 UTC
Patch pushed to master.

Thanks Marcel!